org.eclnt.jsfserver.util

## Class CCServletBaseWithContextMgmt

- java.lang.Object
- - HttpServlet
  - - org.eclnt.jsfserver.util.CCServletBase
    - - org.eclnt.jsfserver.util.CCServletBaseWithContextMgmt

- All Implemented Interfaces:
    ICCServerConstants
  Direct Known Subclasses:
    AutoCompleteServlet, BufferedContentServlet, ImageSizeServlet, TempFileAccessServlet, UploadContentServlet

      public abstract class CCServletBaseWithContextMgmt
      extends CCServletBase
      implements ICCServerConstants

- - ### Field Summary

    - ### Fields inherited from interface org.eclnt.jsfserver.util.ICCServerConstants

      `CLIENTJAVATYPE_FX, CLIENTJAVATYPE_SWING, CLIENTTYPE_APPLET, CLIENTTYPE_APPLICATION, CLIENTTYPE_BROWSER, CLIENTTYPE_RISC, CLIENTTYPE_UI5, CLIENTTYPE_WEBSTART, FOCUSSEQUENCE_FIX_PREFIX, QP_SUBPAGEID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CCServletBaseWithContextMgmt()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doGet(HttpServletRequest req, HttpServletResponse resp)`
    `protected void` | `doPost(HttpServletRequest req, HttpServletResponse resp)`
    `void` | `init()`
    `protected abstract void` | `processRequest(HttpServletRequest req, HttpServletResponse resp)`

    - ### Methods inherited from class org.eclnt.jsfserver.util.CCServletBase

      `checkIfToInitializeCCEnvironment, proposeContentType, setContentType, setContentTypeInResponse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CCServletBaseWithContextMgmt

          public CCServletBaseWithContextMgmt()

  - ### Method Detail

    - #### init

          public final void init()
                          throws ServletException

      Overrides:
        `init` in class `CCServletBase`
      Throws:
        `ServletException`

    - #### doGet

          protected final void doGet(HttpServletRequest req,
                                     HttpServletResponse resp)
                              throws ServletException,
                                     java.io.IOException

      Throws:
        `ServletException`
        `java.io.IOException`

    - #### doPost

          protected final void doPost(HttpServletRequest req,
                                      HttpServletResponse resp)
                               throws ServletException,
                                      java.io.IOException

      Throws:
        `ServletException`
        `java.io.IOException`

    - #### processRequest

          protected abstract void processRequest(HttpServletRequest req,
                                                 HttpServletResponse resp)
                                          throws ServletException,
                                                 java.io.IOException

      Throws:
        `ServletException`
        `java.io.IOException`

Copyright © CaptainCasa Gmbh. All Rights Reserved.